ChartDirector Ver 5.0 (PHP Edition)

TextBox.setTruncate

Usage

void setTruncate(maxWidth [, maxLines ])

Description

Sets the maximum number of lines in the text box, and truncate the text if it exceeds the line count.
The maxWidth parameter of this method specifies the maximum width of the text box. If the text requires a longer width for display, it will be wrapped into multiple lines. However, if the number of lines exceed maxLines, the text will be truncated, with the last visible characters replaced with "...".
If maxLines is 1 (the default), the text will never be wrapped and will be truncated directly if it needs more than maxWidth for display.

Arguments

Argument | Default | Description
--- | --- | ---
maxWidth | (Mandatory) | The maximum width of the text box in pixels.
maxLines | 1 | The maximum number of lines that the text box can have. The text will be truncated if it exceeds the maximum number of lines.

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.